Bug 492975 - F9: after upgrade to F9, no keyboard and no mouse
F9: after upgrade to F9, no keyboard and no mouse
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-30 21:01 EDT by Gerry Reno
Modified: 2009-07-14 11:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg (14.97 KB, text/plain)
2009-03-30 21:13 EDT, Gerry Reno
no flags Details
modprobe (115.55 KB, text/plain)
2009-03-30 21:13 EDT, Gerry Reno
no flags Details

  None (edit)
Description Gerry Reno 2009-03-30 21:01:59 EDT
Description of problem:
Upgraded a kvm-qemu VM from F7 to F9 today.  The preupgrade ran without any problems and we got to the final Reboot screen.  After reboot the system comes up with no keyboard and no mouse.  The only thing that appeared during bootup was:
i8042.c  No controller found.

The mouse and keyboard are serial.  The mouse setting in xorg.conf has been 'vmmouse' and keyboard is 'kbd' and 'pc105'.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. on F7 run preupgrade to successful end
2. Reboot
Actual results:
F9 system boots up with no keyboard and no mouse

Expected results:
F9 system boots with no problems.

Additional info:
Comment 1 Gerry Reno 2009-03-30 21:13:02 EDT
Created attachment 337263 [details]
Comment 2 Gerry Reno 2009-03-30 21:13:48 EDT
Created attachment 337264 [details]
Comment 3 Gerry Reno 2009-03-30 21:57:18 EDT
I logged in remotely and ran a 'yum update' and then rebooted.
I now have keyboard but the mouse is still having trouble.  When you get the login screen and you put focus in the VM console screen the mouse pointer will move briefly and then it will quickly slow down and eventually stop moving and responding.  I can use the keyboard to login but the mouse doesn't work from then on.
Comment 4 Gerry Reno 2009-03-30 22:06:48 EDT
I rebooted again and I had good mouse movement in the startup screen and its console but as soon as the login screen appeared the mouse went to the center and would not move.  The keyboard still works.

I've done a number of other F9 installs and had some mouse issues with erratic movement but never had a total loss of the mouse like this.
Comment 5 Gerry Reno 2009-03-31 00:26:38 EDT
I just plugged in a USB mouse and rebooted and got the exact same behavior.  The mouse works through the startup screen and then dies at the login screen.
Comment 6 Bug Zapper 2009-06-09 23:39:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2009-07-14 11:54:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.